# Uses of Enum Class
org.eclipse.net4j.util.lifecycle.LifecycleState

Packages that use LifecycleState
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.

## Uses of LifecycleState in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that return LifecycleState
Modifier and Type
Method
Description
`final LifecycleState`
DelegableReentrantLock.`getLifecycleState()`
`final LifecycleState`
TimerLifecycle.`getLifecycleState()`

## Uses of LifecycleState in org.eclipse.net4j.util.lifecycle

Methods in org.eclipse.net4j.util.lifecycle that return LifecycleState
Modifier and Type
Method
Description
`LifecycleState`
ILifecycle.`getLifecycleState()`
`final LifecycleState`
Lifecycle.`getLifecycleState()`
`static LifecycleState`
LifecycleUtil.`getLifecycleState(Object object)`
`static LifecycleState`
LifecycleState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LifecycleState[]`
LifecycleState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.lifecycle with parameters of type LifecycleState
Modifier and Type
Method
Description
`static boolean`
LifecycleUtil.`waitFor(Object object, long millis, LifecycleState state)`